import { ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { PptBox } from './ppt-box';
import { TsingPptDataService } from '../tsing-ppt-data.service';
export declare class PptBoxComponent implements OnInit, OnDestroy {
    private pptDataService;
    id: number;
    radio: number;
    vrdiv: ElementRef;
    data: any;
    pptBox: PptBox;
    pptBoxChange: EventEmitter<PptBox>;
    left: number;
    top: number;
    width: number;
    height: number;
    state: number;
    movediv: ElementRef;
    drapAble: boolean;
    leftStart: number;
    topStart: number;
    scalediv: ElementRef;
    scaleAble: number;
    rx: number;
    ry: number;
    widthStart: number;
    heightStart: number;
    deldiv: ElementRef;
    hostEle: ElementRef;
    private animaSortSubscription;
    private mousemoveFunc;
    private mouseupFunc;
    private keydownFunc;
    constructor(pptDataService: TsingPptDataService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    scale(scaleAble: number, event: any): void;
    move(event: any): void;
    action(): void;
    boxChange(): void;
}
