import { ElementRef, OnInit } from '@angular/core';
import { PptConfig } from '../ppt-config';
import { DomSanitizer } from '@angular/platform-browser';
import { HttpClient } from '@angular/common/http';
import { SafeResourceUrl } from '@angular/platform-browser';
import { PptBaseComp } from '../ppt-base-comp';
import { TsingPptDataService } from '../tsing-ppt-data.service';
export declare class PptFlashComponent extends PptBaseComp implements OnInit {
    hostElement: ElementRef;
    private sanitizer;
    private pptConfig;
    private http;
    private pptDataService;
    dataModel: string;
    dataBox: string;
    dataDetail: {};
    showFlash: boolean;
    src: SafeResourceUrl;
    constructor(hostElement: ElementRef, sanitizer: DomSanitizer, pptConfig: PptConfig, http: HttpClient, pptDataService: TsingPptDataService);
    ngOnInit(): void;
    showTheFlash(): void;
    hideTheFlash(): void;
}
