export declare class FontColor {
    red: number;
    green: number;
    blue: number;
    alpha: number;
}
export declare class TextRun {
    fontFamily: string;
    fontSize: number;
    text: string;
    fontColor: string;
    supSub: number;
}
export declare class Paragraph {
    textRuns: Array<TextRun>;
    textAlignName: 'center' | 'left' | 'right' | 'dist';
}
export declare class Textbox {
    textParagraphs: Array<Paragraph>;
    init(json: string): void;
}
