import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { PptConfig } from '../ppt-config';
import { HttpClient } from '@angular/common/http';
import { PptBaseComp } from '../ppt-base-comp';
import { TsingPptDataService } from '../tsing-ppt-data.service';
export declare class PptVideoComponent extends PptBaseComp implements OnInit {
    hostElement: ElementRef;
    private pptConfig;
    private http;
    private pptDataService;
    dataModel: string;
    dataBox: string;
    dataDetail: {};
    showVideo: boolean;
    player: any;
    playId: string;
    contentChange: EventEmitter<string>;
    delChange: EventEmitter<string>;
    isInitIframe: boolean;
    constructor(hostElement: ElementRef, pptConfig: PptConfig, http: HttpClient, pptDataService: TsingPptDataService);
    ngOnInit(): void;
    showTheVideo(): void;
}
