import { ElementRef, OnInit } from '@angular/core';
import { PptBaseComp } from "../ppt-base-comp";
import { PptConfig } from "../ppt-config";
import { TsingPptDataService } from "../tsing-ppt-data.service";
import { HttpClient } from "@angular/common/http";
export declare class PptCaseComponent extends PptBaseComp implements OnInit {
    hostElement: ElementRef;
    private pptConfig;
    private http;
    private pptDataService;
    dataModel: string;
    dataBox: string;
    dataDetail: {};
    showCase: boolean;
    content: string;
    isInitIframe: boolean;
    constructor(hostElement: ElementRef, pptConfig: PptConfig, http: HttpClient, pptDataService: TsingPptDataService);
    ngOnInit(): void;
    showTheCase(): void;
    hideTheCase(): void;
}
