import { OnDestroy, OnInit } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { PptConfig } from '../ppt-config';
import { HttpClient } from '@angular/common/http';
import { SafeResourceUrl } from '@angular/platform-browser';
import { PptBaseComp } from "../ppt-base-comp";
import { TsingPptDataService } from '../tsing-ppt-data.service';
import { ActivatedRoute, Router } from '@angular/router';
export declare class PptFlashViewComponent extends PptBaseComp implements OnInit, OnDestroy {
    private sanitizer;
    private pptConfig;
    private http;
    private pptDataService;
    private router;
    private route;
    dataModel: string;
    dataBox: string;
    dataDetail: {};
    showFlash: string;
    anima: string;
    isIos: boolean;
    srcSafeResourceUrl: SafeResourceUrl;
    constructor(sanitizer: DomSanitizer, pptConfig: PptConfig, http: HttpClient, pptDataService: TsingPptDataService, router: Router, route: ActivatedRoute);
    ngOnInit(): void;
    keydownFlash: (e: any) => void;
    ngOnDestroy(): void;
    showTheFlash(): void;
    hideTheFlash(): void;
    hideTheFlash2(): void;
}
