import { EventEmitter, OnInit } from '@angular/core';
import { Textbox } from '../../ppt-textbox/textbox';
import { TsingPptDataService } from '../../tsing-ppt-data.service';
export declare class PptTableCellComponent implements OnInit {
    private tsingPptDataService;
    dataModel: Textbox;
    tableId: number;
    state: number;
    rowIndex: number;
    colIndex: number;
    shadowRoot: ShadowRoot;
    textBoxChange: EventEmitter<Textbox>;
    constructor(tsingPptDataService: TsingPptDataService);
    ngOnInit(): void;
    action(state: number): void;
    /**
     * 设置data-model属性
     */
    resetDataModel(dataModel: Textbox): void;
}
