import { ElementRef, OnInit } from '@angular/core';
import { PptBaseComp } from '../ppt-base-comp';
import { PptConfig } from '../ppt-config';
import { TsingPptDataService } from '../tsing-ppt-data.service';
import { PptTable } from './ppt-table';
import { Textbox } from '../ppt-textbox/textbox';
export declare class PptTableComponent extends PptBaseComp implements OnInit {
    hostElement: ElementRef;
    private pptConfig;
    private tsingPptDataService;
    dataModel: string;
    dataBox: string;
    pptTable: PptTable;
    initPptTable: PptTable;
    fontFamilys: {
        name: string;
        con: string;
    }[];
    fontSizes: {
        name: string;
        con: string;
    }[];
    fontColors: {
        name: string;
        con: string;
    }[];
    fontFamily: string;
    fontSize: string;
    fontColor: string;
    constructor(hostElement: ElementRef, pptConfig: PptConfig, tsingPptDataService: TsingPptDataService);
    ngOnInit(): void;
    resetModel(textBox: Textbox, rowIndex: number, colIndex: number): void;
    selectionColor(): void;
    selectionFontFamily(): void;
    selectionFontSize(): void;
}
