import { ElementRef, OnInit } from '@angular/core';
import { TsingPptDataService } from '../tsing-ppt-data.service';
import { Textbox } from './textbox';
import { PptBaseComp } from '../ppt-base-comp';
export declare class PptTextboxComponent extends PptBaseComp implements OnInit {
    hostElement: ElementRef;
    private tsingPptDataService;
    dataModel: string;
    _dataModel: Textbox;
    dataBox: string;
    fontFamilys: {
        name: string;
        con: string;
    }[];
    fontSizes: {
        name: string;
        con: string;
    }[];
    fontColors: {
        name: string;
        con: string;
    }[];
    fontFamily: string;
    fontSize: string;
    fontColor: string;
    supSub: string;
    constructor(hostElement: ElementRef, tsingPptDataService: TsingPptDataService);
    ngOnInit(): void;
    /**
     * 设置data-model属性
     */
    resetDataModel(dataModel: Textbox): void;
    action(state: number): void;
    selectionColor(): void;
    selectionFontFamily(): void;
    selectionFontSize(): void;
    selectionSupSub(): void;
}
