import { ElementRef, OnInit } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { PptConfig } from '../ppt-config';
import { HttpClient } from '@angular/common/http';
import { SafeResourceUrl } from '@angular/platform-browser';
import { PptBaseComp } from "../ppt-base-comp";
import { TsingPptDataService } from '../tsing-ppt-data.service';
import { ActivatedRoute, Router } from '@angular/router';
export declare class PptVideoViewMobileComponent extends PptBaseComp implements OnInit {
    private sanitizer;
    private pptConfig;
    private http;
    private pptDataService;
    private router;
    private route;
    videodiv: ElementRef;
    dataModel: string;
    dataBox: string;
    data: {
        width: number;
        height: number;
        top: number;
        left: number;
    };
    dataDetail: {};
    showVideo: string;
    anima: string;
    src: SafeResourceUrl;
    isInitIframe: boolean;
    isIos: boolean;
    constructor(sanitizer: DomSanitizer, pptConfig: PptConfig, http: HttpClient, pptDataService: TsingPptDataService, router: Router, route: ActivatedRoute);
    ngOnInit(): void;
    showTheVideo(): void;
    hideTheVideo(): void;
}
