import { ElementRef, OnInit } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { PptConfig } from '../ppt-config';
import { HttpClient } from '@angular/common/http';
import { PptBaseComp } from '../ppt-base-comp';
import { TsingPptDataService } from '../tsing-ppt-data.service';
import { ActivatedRoute, Router } from '@angular/router';
export declare class PptVrViewMobileComponent extends PptBaseComp implements OnInit {
    private sanitizer;
    private pptConfig;
    private http;
    private pptDataService;
    private router;
    private route;
    vrifm: ElementRef;
    dataModel: string;
    dataBox: string;
    dataDetail: {};
    src: string;
    vr_src: ElementRef;
    constructor(sanitizer: DomSanitizer, pptConfig: PptConfig, http: HttpClient, pptDataService: TsingPptDataService, router: Router, route: ActivatedRoute);
    ngOnInit(): void;
    /**
     * 复制
     */
    copySrc(e: any): void;
    save: (e: any) => void;
}
