import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { PptConfig } from '../ppt-config';
import { PptBox } from '../ppt-box/ppt-box';
import { DomSanitizer } from '@angular/platform-browser';
import { HttpClient } from '@angular/common/http';
import { SafeResourceUrl } from '@angular/platform-browser';
import { PptBaseComp } from '../ppt-base-comp';
import { TsingPptDataService } from '../tsing-ppt-data.service';
export declare class PptVrComponent extends PptBaseComp implements OnInit {
    hostElement: ElementRef;
    private sanitizer;
    private pptConfig;
    private http;
    private pptDataService;
    dataModel: string;
    dataBox: string;
    pptBox: PptBox;
    dataDetail: {};
    showVr: boolean;
    contentChange: EventEmitter<string>;
    delChange: EventEmitter<string>;
    src: SafeResourceUrl;
    isInitIframe: boolean;
    constructor(hostElement: ElementRef, sanitizer: DomSanitizer, pptConfig: PptConfig, http: HttpClient, pptDataService: TsingPptDataService);
    ngOnInit(): void;
    showTheVr(): void;
    hideTheVr(): void;
}
